FreeBSD VuXML: Documenting security issues in FreeBSD and the FreeBSD Ports Collection

libxml2 -- Denial of service

Affected packages
libxml2 < 2.9.2
linux-c6-libxml2 < 2.7.6_2
* <= linux-f10-libxml2


VuXML ID 0642b064-56c4-11e4-8b87-bcaec565249c
Discovery 2014-10-16
Entry 2014-10-18
Modified 2015-07-15

RedHat reports:

A denial of service flaw was found in libxml2, a library providing support to read, modify and write XML and HTML files. A remote attacker could provide a specially crafted XML file that, when processed by an application using libxml2, would lead to excessive CPU consumption (denial of service) based on excessive entity substitutions, even if entity substitution was disabled, which is the parser default behavior.


CVE Name CVE-2014-3660